rm(list=ls())

# required packages

library(timeSeries)
library(fpp)

setwd('c:\\users\\marco.bee\\dropbox\\didattica\\2016_2017\\Reaction\\data\\')

GSPC <- readSeries('GSPC.csv', header = TRUE, sep = ",", format="%d/%m/%Y")

# try ARIMA: (1) check stationarity

par(mfrow=c(2,1))
plot(GSPC,main='Levels')
Acf(GSPC,main='Levels')
par(ask=TRUE)

adf.res <- adf.test(GSPC)
kpss.res <- kpss.test(GSPC)

# use first differences

GSPCd1 <- diff(GSPC,trim=TRUE)
par(mfrow=c(2,1))
Acf(GSPCd1,main='First differences')
Acf(GSPCd1,type='partial',main='First differences')

# fit ARIMA(1,1,1) and ARIMA(2,1,1)

fit111 <- arima(GSPC,c(1,1,1))
fit211 <- arima(GSPC,c(2,1,1))
res111 <- fit111$residuals
res211 <- fit211$residuals

plot(res111,main='Residuals - ARIMA(1,1,1)')
Acf(res111,main='Residuals - ARIMA(1,1,1)')

plot(res211,main='Residuals - ARIMA(2,1,1)')
Acf(res211,main='Residuals - ARIMA(2,1,1)')

# prediction

fore <- predict(fit111, n.ahead = 10)

