rm(list=ls())

# required packages

library(timeSeries)
library(fpp)

setwd('c:\\users\\marco.bee\\dropbox\\didattica\\2016_2017\\Reaction\\data\\')

# A timeSeries object from a csv file

GSPC <- readSeries('GSPC.csv', header = TRUE, sep = ",", format="%d/%m/%Y")

# extract a subperiod of data

GSPCAug2017 <- window(GSPC, start='2017-08-01', end='2017-08-10')

# backward shift operator

GSPCAug2017_2 <- lag(GSPCAug2017,2)
GSPCRet <- returns(GSPC)

# preliminary analysis

par(mfrow=c(2,1))
plot(GSPC)
Acf(GSPC)
par(ask=T)
par(mfrow=c(2,1))
plot(GSPCRet)
Acf(GSPCRet)

adf.t <- adf.test(GSPC) # null hypothesis: nonstationarity
kpss.t <- kpss.test(GSPC) # null hypothesis: stationarity

